Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.exceptions
Class WidgetNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.swtbot.swt.finder.exceptions.WidgetNotFoundException

All Implemented Interfaces:
  Serializable

    public class WidgetNotFoundException

extends RuntimeException

An exception that is thrown when a widget can not be found on the given display/shell.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>
See Also:
  Serialized Form

Constructor Summary
`WidgetNotFoundException(String message)` Constructs an exception with the given message.
`WidgetNotFoundException(String message, Throwable cause)` Constructs this exception with the given message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WidgetNotFoundException

    public WidgetNotFoundException(String message)

  Constructs an exception with the given message.

  Parameters:
    `message` - the message.

### WidgetNotFoundException

    public WidgetNotFoundException(String message,
                                   Throwable cause)

  Constructs this exception with the given message and cause.

  Parameters:
    `message` - the message.
    `cause` - the underlying cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD